Eclipse Platform Release 3.7

## org.eclipse.help.browser
Interface IBrowserFactory

    public interface IBrowserFactory

Implementators of `org.eclipse.help.base.browser` extension points must provide implementation of this interface.

Since:
  2.1

Method Summary
`IBrowser` `createBrowser()` Obtains a new instance of a web browser.
`boolean` `isAvailable()` Checks whether the factory can work on the user system.

Method Detail

### isAvailable

    boolean isAvailable()

  Checks whether the factory can work on the user system.

  Returns:
    false if the factory cannot work on this system; for example the required native browser required by browser adapters that it creates is not installed.

### createBrowser

    IBrowser createBrowser()

  Obtains a new instance of a web browser.

  Returns:
    instance of IBrowser

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.